export function hasPermissions(userPermissions: string[], neededPermissions: string[]): boolean
{
    for(let i = 0; i < neededPermissions.length; i++)
    {
        const list = neededPermissions[i].split(' ');
        
        if(list.every(e => userPermissions.includes(e)))
        {
            return true;
        }
    }

    return false;
}